.a-alerts {
  list-style: none;
  margin: 0 0 1.5rem;
  padding-left: 0;
}

.a-alert {
  width: 100%;
  margin-bottom: 0.5rem;
  border-radius: 0.5rem;
  box-sizing: border-box;
  background-color: var(--white);
  padding: 0.75rem;
  font-weight: 500;
  position: relative;

  &.-blue,
  &.-purple,
  &.-success,
  &.-error {
    color: var(--white);
  }

  &.-blue {
    background-color: var(--theme-blue-primary);
    background-image: linear-gradient(
      90deg,
      var(--theme-blue-primary) 0%,
      var(--theme-blue-secondary) 100%
    );
  }

  &.-purple {
    background-color: var(--theme-purple-primary);
    background-image: linear-gradient(
      90deg,
      var(--theme-purple-primary) 0%,
      var(--theme-purple-secondary) 100%
    );
  }

  &.-success {
    background-color: var(--functional-green);
  }

  &.-error {
    background-color: var(--functional-red);
  }

  &.-can-dismiss {
    padding-right: 3rem;
  }

  &__dismiss {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    padding: 0.75rem 1rem;
    color: inherit;
    border: unset;
    background-color: unset;
    cursor: pointer;

    span {
      display: flex;
      height: 100%;
      align-items: center;
      justify-content: center;
      width: 1rem;
    }
  }
}
